// ignore_for_file: public_member_api_docs

import 'dart:developer';

import 'package:copy_with_extension/copy_with_extension.dart';
import 'package:flutter/material.dart';
import 'package:healthrian_ble_support/healthrian_ble_support.dart';

part 'button_record_wearecg.g.dart';

@CopyWith()
class ButtonRecordWearEcg extends StatelessWidget {
  const ButtonRecordWearEcg({
    super.key,
    this.child,
  });

  final Widget? child;

  @override
  Widget build(BuildContext context) {
    return MaterialButton(
      onPressed: () {
        final streams = BLEManager().manageWearEcg12.streams;
        final stream = streams.bufferedFilterStreamEcg;

        try {
          stream?.last.then(
            (value) {
              final l2 = value.l2;

              final snackBar = SnackBar(
                content: Text('$l2'),
                duration: const Duration(seconds: 10),
              );

              log('$l2');

              ScaffoldMessenger.of(context).showSnackBar(
                snackBar,
              );
            },
          );
        } catch (e) {
          log('$e');
        }
      },
      child: child,
    );
  }
}
